devel/p5-Any-Moose - The NetBSD Packages Collection

Perl extension to check dependencies on Moose or Mouse

Perl extension which is very useful to decide which object model to use.
Either Moose or Mouse has to be installed in order to fulfill the needed
dependencies.

Build dependencies

devel/p5-Package-DeprecationManager devel/p5-MooseX-Types pkgtools/cwrappers

Runtime dependencies

devel/p5-Moo devel/p5-Role-Tiny devel/p5-Mouse devel/p5-Moose lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-Any-Moose-0.27nb4.tgz
NetBSD 8.0earmv7hfp5-Any-Moose-0.27nb4.tgz
NetBSD 8.0earmv7hfp5-Any-Moose-0.27nb4.tgz
NetBSD 8.0i386p5-Any-Moose-0.27nb4.tgz
NetBSD 8.0i386p5-Any-Moose-0.27nb4.tgz
NetBSD 8.0i386p5-Any-Moose-0.27nb4.tgz
NetBSD 8.0powerpcp5-Any-Moose-0.27nb4.tgz
NetBSD 8.0powerpcp5-Any-Moose-0.27nb4.tgz
NetBSD 8.0powerpcp5-Any-Moose-0.27nb4.tgz
NetBSD 8.0x86_64p5-Any-Moose-0.27nb4.tgz
NetBSD 8.0x86_64p5-Any-Moose-0.27nb4.tgz
NetBSD 8.0x86_64p5-Any-Moose-0.27nb4.tgz
NetBSD 9.0aarch64p5-Any-Moose-0.27nb4.tgz
NetBSD 9.0aarch64p5-Any-Moose-0.27nb4.tgz
NetBSD 9.0aarch64p5-Any-Moose-0.27nb4.tgz
NetBSD 9.0alphap5-Any-Moose-0.27nb4.tgz
NetBSD 9.0alphap5-Any-Moose-0.27nb4.tgz
NetBSD 9.0alphap5-Any-Moose-0.27nb4.tgz
NetBSD 9.0earmp5-Any-Moose-0.27nb4.tgz
NetBSD 9.0earmp5-Any-Moose-0.27nb4.tgz
NetBSD 9.0earmp5-Any-Moose-0.27nb4.tgz
NetBSD 9.0earmv6hfp5-Any-Moose-0.27nb4.tgz
NetBSD 9.0earmv6hfp5-Any-Moose-0.27nb4.tgz
NetBSD 9.0earmv6hfp5-Any-Moose-0.27nb4.tgz
NetBSD 9.0earmv6hfp5-Any-Moose-0.27nb4.tgz
NetBSD 9.0earmv7hfp5-Any-Moose-0.27nb4.tgz
NetBSD 9.0earmv7hfp5-Any-Moose-0.27nb4.tgz
NetBSD 9.0earmv7hfp5-Any-Moose-0.27nb4.tgz
NetBSD 9.0earmv7hfp5-Any-Moose-0.27nb4.tgz
NetBSD 9.0i386p5-Any-Moose-0.27nb4.tgz
NetBSD 9.0i386p5-Any-Moose-0.27nb4.tgz
NetBSD 9.0i386p5-Any-Moose-0.27nb4.tgz
NetBSD 9.0m68kp5-Any-Moose-0.27nb4.tgz
NetBSD 9.0mips64ebp5-Any-Moose-0.27nb4.tgz
NetBSD 9.0mips64ebp5-Any-Moose-0.27nb4.tgz
NetBSD 9.0mips64ebp5-Any-Moose-0.27nb4.tgz
NetBSD 9.0mipselp5-Any-Moose-0.27nb4.tgz
NetBSD 9.0powerpcp5-Any-Moose-0.27nb4.tgz
NetBSD 9.0powerpcp5-Any-Moose-0.27nb4.tgz
NetBSD 9.0sh3elp5-Any-Moose-0.27nb4.tgz
NetBSD 9.0sh3elp5-Any-Moose-0.27nb4.tgz
NetBSD 9.0sh3elp5-Any-Moose-0.27nb4.tgz
NetBSD 9.0sparc64p5-Any-Moose-0.27nb4.tgz
NetBSD 9.0sparc64p5-Any-Moose-0.27nb3.tgz
NetBSD 9.0sparc64p5-Any-Moose-0.27nb4.tgz
NetBSD 9.0sparc64p5-Any-Moose-0.27nb4.tgz
NetBSD 9.0sparcp5-Any-Moose-0.27nb4.tgz
NetBSD 9.0sparcp5-Any-Moose-0.27nb4.tgz
NetBSD 9.0sparcp5-Any-Moose-0.27nb4.tgz
NetBSD 9.0x86_64p5-Any-Moose-0.27nb4.tgz
NetBSD 9.0x86_64p5-Any-Moose-0.27nb4.tgz
NetBSD 9.0x86_64p5-Any-Moose-0.27nb4.tgz
NetBSD 9.0x86_64p5-Any-Moose-0.27nb4.tgz
NetBSD 9.0x86_64p5-Any-Moose-0.27nb4.tgz
NetBSD 9.0x86_64p5-Any-Moose-0.27nb4.tgz
NetBSD 9.0x86_64p5-Any-Moose-0.27nb4.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

moose
mouse
Enable mouse support.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.